
## the file examples.zip has to be unzipped and this script expects to
## be on top of the unpackage files and directories

## general utility
source("examples/ggplot_theme_kd.R")


## -- 1. chart 'msgpack_vs_r_size.png'
source("examples/dataset_disk_usage/datasets_test.R")


## -- 2. chart 'list_serialization_bench_plots.png'
cwd <- getwd()
setwd("examples/list_serialization/")
source("mbench.r")
Rcpp::sourceCpp("test_mp_list.cpp", verbose=T, rebuild=T)
source("test_mp_list.R")
setwd(cwd)
file.copy("examples/list_serialization/list_serialization_bench_plots.png",
          "list_serialization_bench_plots.png")


## -- 3. chart 'msgpack_vs_r_size.png'
## see examples/python_cifar_example/code/
